`mult.clustering` <-
function(data, type=c("cont", "contabs", "disc", "bin")) {
  print ("Testing hierarchical clustering ...")
  
  LINK <- c("average", "single", "complete", "ward")

  type <- match.arg(type)
  if (type=="cont"){
    MEASURE <- c("euclidean", "pearson", "spearman")
  }
  else if (type=="contabs"){
    MEASURE <- c("euclidean", "pearsonabs", "spearmanabs")
  }
  else if (type=="disc"){
    MEASURE <- c("euclidean", "manhattan")
  }
  else if (type=="bin"){
    MEASURE <- c("jaccard", "dice")
  }
  else{
    stop("Error : Unknown data type.")
  }
  
  score <- -1
  met <- ""
  link <- ""
  tree <- NULL
  for (i in MEASURE) {
    for (j in LINK) {
      HIERA <- clustering(data, i, j)
      print (paste(i, j, HIERA$ac))
      if (HIERA$ac > score){
        met <- i
        link <- j
        score <- HIERA$ac
        tree <- HIERA
      }
    }
  }

  return (list(tree=tree, met=met, method=link))
}

