\name{bioMartAnnot}
\alias{bioMartAnnot}
%- Also NEED an '\alias' for EACH other topic documented here.
\title{Annotation using bioMart}
\description{
  Annot imput IDs using the bioMart package.
}
\usage{
bioMartAnnot(data, inputTypeId, outputTypeId =c("entrezgene", "hgnc_symbol", "ensembl_gene_id", "description", "chromosome_name", "start_position", "end_position", "band", "strand") , dataset= c("hsapiens_gene_ensembl"), database = "ensembl",  sort.by = NULL, outfile = NA)
}
%- maybe also 'usage' for other objects documented here.
\arguments{
\item{data}{A data.frame with the input names as rownames or a vector}
\item{inputTypeId}{Input Ids type. see details}
\item{outputTypeId}{Output Ids type. if NULL the description of some
genes names are returned. see details}
\item{dataset}{The dataset used for the annotation}
\item{database}{The database used for the annotation}
\item{sort.by}{optional. Allow to sort the output data.frame}
\item{outfile}{optional. Write an html file with the results}
}
\details{
This function is based on the bioMart package.
First, you have to define the database and the dataset you want to use
for the annotation (default dataset= c("hsapiens_gene_ensembl"), database = "ensembl").
The input IDs type have to be defined as in the bioMart package. The
listFilters() functions of the bioMart package lists the available input
type. If the inputs are probe names, use the microarray name : affy_hg_u95a,affy_hg_u95av2,affy_hg_u133a_2,affy_hg_u133a,affy_hg_u133b,affy_hg_u133_plus_2, illumina_humanwg_6_v2, ...
Use the bioMart function 'listAttributes()', to select your output. By
default, the function returns  "description", "chromosome_name",
"start_position", "end_position", "band", "strand", and "ensembl_gene_id".
}


\author{EMA group}

\seealso{\code{\link{bioMart}}}
\examples{
## load data
data(marty)

## filtering data
marty <- expFilter(marty, threshold=3.5, graph=FALSE)

##Class label 0/1
marty.type.num <- ifelse(marty.type.cl=="Her2+",0,1)

## run sam analysis
samOUT <- runSAM(marty, marty.type.num, nbpermut=50, q=0.05, plot=TRUE)
samSIGN <- samOUT[which(samOUT[,"Significant"]),]

##Sort by SAM significance
samSIGN <- samSIGN[order(abs(samSIGN$Stat), decreasing=TRUE),]

##Example of output search
a<-listAttributes(mart=useMart("ensembl",dataset="hsapiens_gene_ensembl"))
grep("sym",a[,1], value=TRUE)

##Annotations example
bioMartAnnot(rownames(samSIGN), inputTypeId ="affy_hg_u133_plus_2",outputTypeId =c("entrezgene","hgnc_symbol"), dataset=c("hsapiens_gene_ensembl"),database = "ensembl")

bioMartAnnot(samSIGN, inputTypeId = "affy_hg_u133_plus_2", dataset= c("hsapiens_gene_ensembl"), database = "ensembl")

}
\keyword{manip}
